Page MenuHomePhabricator

Fatal error: Call to a member function getLanguage() on a non-object WikiPageMessageGroup.php on line 138
Closed, ResolvedPublic

Description

[2014-07-24 18:41:09] Fatal error: Call to a member function getLanguage() on a non-object at /usr/local/apache/common-local/php-1.24wmf15/extensions/Translate/messagegroups/WikiPageMessageGroup.php on line 138
Server: mw1063
Method: GET
URL: http://www.mediawiki.org/wiki/User:John_Andersson_(WMSE)
Backtrace:
#0 /usr/local/apache/common-local/php-1.24wmf15/extensions/Translate/messagegroups/WikiPageMessageGroup.php(138): WikiPageMessageGroup::getDescription()
#1 /usr/local/apache/common-local/php-1.24wmf15/extensions/Translate/utils/StatsTable.php(279): WikiPageMessageGroup->getDescription()
#2 /usr/local/apache/common-local/php-1.24wmf15/extensions/Translate/utils/StatsTable.php(242): StatsTable->getGroupDescription(Object(WikiPageMessageGroup))
#3 /usr/local/apache/common-local/php-1.24wmf15/extensions/Translate/specials/SpecialLanguageStats.php(506): StatsTable->makeGroupLink(Object(WikiPageMessageGroup), 'sv', Array)
#4 /usr/local/apache/common-local/php-1.24wmf15/extensions/Translate/specials/SpecialLanguageStats.php(423): SpecialLanguageStats->makeGroupRow(Object(WikiPageMessageGroup), Array, Object(AggregateMessageGroup))
#5 /usr/local/apache/common-local/php-1.24wmf15/extensions/Translate/specials/SpecialLanguageStats.php(433): SpecialLanguageStats->makeGroupGroup(Object(WikiPageMessageGroup), Array, Object(AggregateMessageGroup))
#6 /usr/local/apache/common-local/php-1.24wmf15/extensions/Translate/specials/SpecialLanguageStats.php(380): SpecialLanguageStats->makeGroupGroup(Array, Array)
#7 /usr/local/apache/common-local/php-1.24wmf15/extensions/Translate/specials/SpecialLanguageStats.php(157): SpecialLanguageStats->getTable()
#8 /usr/local/apache/common-local/php-1.24wmf15/includes/specialpage/SpecialPage.php(382): SpecialLanguageStats->execute('sv')
#9 /usr/local/apache/common-local/php-1.24wmf15/includes/specialpage/SpecialPageFactory.php(516): SpecialPage->run('sv')
#10 /usr/local/apache/common-local/php-1.24wmf15/includes/specialpage/SpecialPageFactory.php(555): SpecialPageFactory::executePath(Object(Title), Object(RequestContext), true)
#11 /usr/local/apache/common-local/php-1.24wmf15/includes/parser/Parser.php(3516): SpecialPageFactory::capturePath(Object(Title), Object(RequestContext))
#12 /usr/local/apache/common-local/php-1.24wmf15/includes/parser/Preprocessor_DOM.php(1175): Parser->braceSubstitution(Array, Object(PPFrame_DOM))
#13 /usr/local/apache/common-local/php-1.24wmf15/includes/parser/Parser.php(3248): PPFrame_DOM->expand(Object(PPNode_DOM), 0)
#14 /usr/local/apache/common-local/php-1.24wmf15/includes/parser/Parser.php(1239): Parser->replaceVariables('== In need of S...')
#15 /usr/local/apache/common-local/php-1.24wmf15/includes/parser/Parser.php(405): Parser->internalParse('== In need of S...')
#16 /usr/local/apache/common-local/php-1.24wmf15/includes/content/WikitextContent.php(327): Parser->parse('== In need of S...', Object(Title), Object(ParserOptions), true, true, 885084)
#17 /usr/local/apache/common-local/php-1.24wmf15/includes/content/AbstractContent.php(486): WikitextContent->fillParserOutput(Object(Title), 885084, Object(ParserOptions), true, Object(ParserOutput))
#18 /usr/local/apache/common-local/php-1.24wmf15/includes/poolcounter/PoolWorkArticleView.php(139): AbstractContent->getParserOutput(Object(Title), 885084, Object(ParserOptions))
#19 /usr/local/apache/common-local/php-1.24wmf15/includes/poolcounter/PoolCounterWork.php(120): PoolWorkArticleView->doWork()
#20 /usr/local/apache/common-local/php-1.24wmf15/includes/page/Article.php(688): PoolCounterWork->execute()
#21 /usr/local/apache/common-local/php-1.24wmf15/includes/actions/ViewAction.php(44): Article->view()
#22 /usr/local/apache/common-local/php-1.24wmf15/includes/MediaWiki.php(431): ViewAction->show()
#23 /usr/local/apache/common-local/php-1.24wmf15/includes/MediaWiki.php(295): MediaWiki->performAction(Object(Article), Object(Title))
#24 /usr/local/apache/common-local/php-1.24wmf15/includes/MediaWiki.php(603): MediaWiki->performRequest()
#25 /usr/local/apache/common-local/php-1.24wmf15/includes/MediaWiki.php(452): MediaWiki->main()
#26 /usr/local/apache/common-local/php-1.24wmf15/index.php(46): MediaWiki->run()
#27 /usr/local/apache/common-local/w/index.php(3): require('/usr/local/apac...')
#28 {main}


Version: unspecified
Severity: normal

Details

Reference
bz68523

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:30 AM
bzimport set Reference to bz68523.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Jul 24 2014, 6:42 PM

Change 149083 had a related patch set uploaded by Nikerabbit:
Fix fatal error in WikiPageMessageGroup

https://gerrit.wikimedia.org/r/149083

Change 149106 had a related patch set uploaded by Reedy:
Fix fatal error in WikiPageMessageGroup

https://gerrit.wikimedia.org/r/149106

Change 149083 merged by jenkins-bot:
Fix fatal error in WikiPageMessageGroup

https://gerrit.wikimedia.org/r/149083

Change 149106 merged by jenkins-bot:
Fix fatal error in WikiPageMessageGroup

https://gerrit.wikimedia.org/r/149106

tomasz added a comment.Aug 5 2014, 8:10 PM

Both patches have been merged, assuming bug is fixed.

Please re-open if that's not the case.